.scroll-boost {
  position: relative;
  overflow: hidden;
  height: 400px;
}
.scroll-boost__body--hidden {
  display: none;
}
.scroll-boost__wrapper {
  overflow: auto;
  max-height: 400px;
}
.scroll-boost__table {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  overflow-x: auto;
}
.scroll-boost__table > table {
  table-layout: fixed;
}
.scrolled .scroll-boost__table {
  pointer-events: none;
}
.scroll-boost__scroll {
  width: 1px;
}
.fixed-table__container {
  position: relative;
  width: 100%;
  height: 100%;
}
.fixed-table .responsive-table {
  border-radius: 0;
}
.fixed-table__content {
  height: 100%;
  overflow: auto;
}
/* accelerate table in the modal to prevent rendering issues with position:fixed and overflow:hidden */
.fixed-table__content--ie,
.modal .fixed-table__content {
  transform: translateZ(0);
}
.fixed-table__content.scrolled {
  pointer-events: none;
}
.fixed-table__content table {
  margin-bottom: 0;
}
.fixed-table__content td.wday-editable {
  max-width: 50px !important;
  overflow-x: hidden;
  text-overflow: ellipsis;
}
.fixed-table__content-editable {
  display: block;
  max-width: 43px;
  white-space: nowrap;
  overflow: hidden;
  font-size: 12px;
  line-height: 14px;
  box-sizing: border-box;
}
.fixed-table__header {
  position: absolute;
  left: 0;
  top: 0;
  box-sizing: content-box;
  overflow: hidden;
  z-index: 2;
}
.fixed-table__header th {
  font-weight: normal;
}
.fixed-table__column {
  position: absolute;
  left: 0;
  top: 0;
  overflow: hidden;
  z-index: 3;
}
.fixed-table__column th {
  font-weight: normal;
}
.fixed-table__column-header {
  position: absolute;
  left: 0;
  top: 0;
  z-index: 4;
}
.fixed-table__column-header .pch-dropdown-menu-fixed-pos {
  position: absolute;
  margin-top: 5px;
}
.fixed-table__column-header th {
  font-weight: normal;
}
.fixed-table__column-header .dropdown {
  z-index: 5;
}
.currentContentEditable {
  box-shadow: inset 0 0 4px #00c;
}
.currentContentEditable span {
  outline: none;
}
.currentContentEditable span:before {
  content: " ";
}
.currentContentEditable span:after {
  content: " ";
}
.pch-tab-simplified {
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  border-radius: 0;
}
.panel .pch-grid-simplified thead tr th:not(.dyn-col) {
  background-image: none;
  background-color: #007e95;
  text-shadow: none;
}
.pch-grid-simplified td button {
  /* remove all CSS3 features for scrolling performance improve */
  background: none;
  border-color: transparent;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  text-shadow: none;
}
.pch-grid-simplified td button:not(.dropdown-toggle) {
  /* make buttons underlined like links. buttons could be replaced with simple links */
  text-decoration: underline;
}
